package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.BaseResultDto;
import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.dto.user.info.UserEntrySearchListDto;
import com.crm.rely.backend.core.entity.base.SingleLongEntity;
import com.crm.rely.backend.core.entity.user.info.UserEntryAddEntity;
import com.crm.rely.backend.core.entity.user.info.UserEntrySearchEntity;
import com.crm.rely.backend.core.entity.user.info.UserEntryUpdateEntity;
import com.crm.rely.backend.core.entity.user.info.UserEntryUpdateStatusEntity;

public interface UserEntryService {

    void add(UserEntryAddEntity entity) throws Exception;

    void update(UserEntryUpdateEntity entity) throws Exception;

    UserEntrySearchListDto searchSingle(SingleLongEntity entity) throws Exception;

    ResultWithPagerDto<UserEntrySearchListDto> searchPageList(UserEntrySearchEntity entity) throws Exception;

    void updateStatus(UserEntryUpdateStatusEntity entity) throws Exception;

    UserEntrySearchListDto getInfoUseFlag(UserEntryUpdateEntity entity) throws Exception;

    void updateHrAuditStatus(UserEntryUpdateStatusEntity entity) throws Exception;

    BaseResultDto getWebsdkLink(UserEntryUpdateEntity entity) throws Exception;

    void updateManage(UserEntryUpdateEntity entity) throws Exception;

    String getGooglemail(String firstName, String lastName, String englishName) throws Exception;
}
